=== requirements.txt ===
urllib3 >= 1.26.2
pyaes >= 1.6.1
colorama >= 0.4.4
jsonpointer >= 2.0
six >= 1.15.0
ply >= 3.11
decorator >= 4.4.2
jsonpatch >= 1.28
jsonpath-rw >= 1.4.0
setproctitle >= 1.1.8; platform_system == "Linux"
jsondiff >= 1.2.0
tabulate >= 0.8.7
prompt_toolkit >= 3.0.10
certifi >= 2020.12.5
pywin32 >= 300; platform_system == "Windows"
wcwidth >= 0.2.5
