## ilorest 3.3.0.0+ds2

=== debian/changelog ===
ilorest (3.3.0.0+ds2-1) unstable; urgency=medium

  * New upstream release (ie: fixed git merge):
    - Fix Git merge conflict markers (Closes: #1004397).
  * Fix depends.
  * Fix wrong VCS fields.

 -- Thomas Goirand <zigo@debian.org>  Thu, 27 Jan 2022 09:30:29 +0100

ilorest (3.3.0.0+ds1-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 17 Jan 2022 14:23:29 +0100

ilorest (3.2.2+ds1-3) unstable; urgency=medium

  * Add missing build-depends on python3-pbr (Closes: #1003870).

 -- Thomas Goirand <zigo@debian.org>  Mon, 17 Jan 2022 13:47:35 +0100

ilorest (3.2.2+ds1-2) unstable; urgency=medium

  * Rebuilt source-only.

 -- Thomas Goirand <zigo@debian.org>  Thu, 30 Sep 2021 12:13:18 +0200

ilorest (3.2.2+ds1-1) unstable; urgency=medium

  * Initial release. (Closes: #994244)

 -- Thomas Goirand <zigo@debian.org>  Mon, 13 Sep 2021 10:23:17 +0200
