## ilorest 3.5.1.0+ds3

=== debian/changelog ===
ilorest (3.5.1.0+ds3-1) unstable; urgency=medium

  * New upstream release.
  * (build-)depends on python3-ilorest >= 3.5.1.

 -- Thomas Goirand <zigo@debian.org>  Wed, 10 Aug 2022 10:21:46 +0200
