=== debian/control ===
--- 
+++ 
@@ -20,7 +20,7 @@
  python3-certifi (>= 2020.6.20),
  python3-colorama (>= 0.3.9),
  python3-decorator,
- python3-ilorest (>= 3.2.2),
+ python3-ilorest (>= 3.5.1),
  python3-json-pointer,
  python3-jsondiff (>= 1.2.0),
  python3-jsonpatch (>= 1.28),
@@ -44,7 +44,7 @@
  python3-certifi (>= 2020.6.20),
  python3-colorama (>= 0.3.9),
  python3-decorator,
- python3-ilorest (>= 3.2.2),
+ python3-ilorest (>= 3.5.1),
  python3-json-pointer,
  python3-jsondiff,
  python3-jsonpatch,
