## ilorest 3.6.0.0

=== debian/changelog ===
ilorest (3.6.0.0-3) unstable; urgency=medium

  * Cleans better (Closes: #1047908).

 -- Thomas Goirand <zigo@debian.org>  Mon, 21 Aug 2023 15:17:53 +0200

ilorest (3.6.0.0-2) unstable; urgency=medium

  * Add missing python3-pyudev runtime depends.

 -- Thomas Goirand <zigo@debian.org>  Mon, 27 Feb 2023 11:56:00 +0100

ilorest (3.6.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Upstream applied my import patch, so not using -ds* anymore.
  * Add add-setup.py.patch.
  * Symlink the src folder as ilorest to avoid rename.
  * (build-)depends on ilorest >= 3.6.0.0.
  * Fix pyproject.toml (Closes: #1022314).
  * Add fix-rdmc.py.patch.
  * Add fix-import-path.patch.

 -- Thomas Goirand <zigo@debian.org>  Wed, 23 Nov 2022 09:27:32 +0100
