=== debian/rules ===
--- 
+++ 
@@ -7,13 +7,17 @@
 	dh $@ --with python3,sphinxdoc
 
 override_dh_auto_clean:
-	rm -rf doc/build build $(CURDIR)/ilorest/config/__init__.py
+	rm -f ilorest
+	rm -rf build .stestr doc/build build $(CURDIR)/ilorest/config/__init__.py *.egg-info
+	cp debian/_imagesloaded.min.js docs/slate/source/javascripts/lib
+	find . -iname '*.pyc' -delete
+	for i in $$(find . -type d -iname __pycache__) ; do rm -rf $$i ; done
 
 override_dh_auto_build:
 	echo "Do nothing..."
 
 override_dh_auto_install:
-	touch $(CURDIR)/ilorest/config/__init__.py
+	if ! [ -e ilorest ] ; then ln -s src ilorest ; fi
 	pkgos-dh_auto_install --no-py2 --in-tmp
 
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
