=== debian/changelog ===
ilorest (5.2.0.0-7) unstable; urgency=medium

  * Removed runtime depends on python3-setuptools (Closes: #1094413).

 -- Thomas Goirand <zigo@debian.org>  Tue, 28 Jan 2025 09:09:55 +0100

ilorest (5.2.0.0-6) unstable; urgency=medium

  * Add fix-syntax-warning.patch (Closes: #1091466).

 -- Thomas Goirand <zigo@debian.org>  Mon, 06 Jan 2025 10:04:29 +0100

ilorest (5.2.0.0-5) unstable; urgency=medium

  * Really desactivate p3.13-fix-syntax-warning.patch (Closes: #1091466).

 -- Thomas Goirand <zigo@debian.org>  Thu, 02 Jan 2025 11:27:55 +0100

ilorest (5.2.0.0-4) unstable; urgency=medium

  * Deactivate p3.13-fix-syntax-warning.patch that's causing package to not be
    installable (Closes: #1091466).

 -- Thomas Goirand <zigo@debian.org>  Fri, 27 Dec 2024 10:20:14 +0100

ilorest (5.2.0.0-3) unstable; urgency=medium

  * Fixed d/watch to use mode=git and add pre-pending "v" char.
  * Add remove-intersphinx-from-doc.patch (Closes: #1090100).

 -- Thomas Goirand <zigo@debian.org>  Mon, 09 Dec 2024 13:42:07 +0100

ilorest (5.2.0.0-2) unstable; urgency=medium

  * Add p3.13-fix-syntax-warning.patch (Closes: #1085642).

 -- Thomas Goirand <zigo@debian.org>  Tue, 03 Dec 2024 14:58:06 +0100

ilorest (5.2.0.0-1) unstable; urgency=medium

  * New upstream release.
  * (build-)depends on python3-ilorest >= 5.2.0.0.
  * Removed versions when satisfied in stable.
  * Rebased add-setup.py.patch.
  * Rebased fix-rdmc.py.patch.
  * Removed patches applied upstream:
    - fix-import-path.patch
    - pyproject.toml-add-triple-quotes-at-end-of-file.patch
  * Do not rm -f ilorest anymore: that's a folder now.
  * Add fix-py3-syntax-errors.patch.

 -- Thomas Goirand <zigo@debian.org>  Tue, 24 Sep 2024 14:23:12 +0200
