=== debian/control ===
--- 
+++ 
@@ -17,21 +17,21 @@
  python3-setuptools,
  python3-sphinx,
 Build-Depends-Indep:
- python3-certifi (>= 2020.6.20),
- python3-colorama (>= 0.3.9),
+ python3-certifi,
+ python3-colorama,
  python3-decorator,
- python3-ilorest (>= 3.6.0.0),
+ python3-ilorest (>= 5.2.0.0),
  python3-json-pointer,
- python3-jsondiff (>= 1.2.0),
- python3-jsonpatch (>= 1.28),
+ python3-jsondiff,
+ python3-jsonpatch,
  python3-jsonpath-rw,
  python3-ply,
- python3-prompt-toolkit (>= 2.0.8),
+ python3-prompt-toolkit,
  python3-setproctitle,
  python3-six,
  python3-tabulate,
  python3-urllib3,
- python3-wcwidth (>= 0.2.5),
+ python3-wcwidth,
  yui-compressor,
 Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/openstack-team/third-party/ilorest
@@ -41,24 +41,23 @@
 Package: ilorest
 Architecture: all
 Depends:
- python3-certifi (>= 2020.6.20),
- python3-colorama (>= 0.3.9),
+ python3-certifi,
+ python3-colorama,
  python3-decorator,
- python3-ilorest (>= 3.6.0.0),
+ python3-ilorest (>= 5.2.0.0),
  python3-json-pointer,
  python3-jsondiff,
  python3-jsonpatch,
  python3-jsonpath-rw,
  python3-pbr,
  python3-ply,
- python3-prompt-toolkit (>= 2.0.8),
+ python3-prompt-toolkit,
  python3-pyudev,
  python3-setproctitle,
- python3-setuptools,
  python3-six,
  python3-tabulate,
  python3-urllib3,
- python3-wcwidth (>= 0.2.5),
+ python3-wcwidth,
  ${misc:Depends},
  ${python3:Depends},
  ${sphinxdoc:Depends},
