=== debian/watch ===
version=4
opts="mode=git,uversionmangle=s/\.0rc/~rc/;s/\.0b1/~b1/;s/\.0b2/~b2/;s/\.0b3/~b3/,dversionmangle=s/\+ds\d+$//" \
https://github.com/HewlettPackard/python-redfish-utility .*/v(\d[brc\d\.]+)\.tar\.gz
