=== debian/changelog ===
ilorest (7.0.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Removed use-correct-imgmath-sphinx-ext.patch.
  * Rebased add-setup.py.patch.
  * Removed fix-rdmc.py.patch.
  * Removed fix-py3-syntax-errors.patch.
  * Removed remove-intersphinx-from-doc.patch.
  * Removed fix-syntax-warning.patch.
  * Killed the embedded doc, as it's gone from upstream source.
  * Add fix-cannot-login-without-chif.patch.

 -- Thomas Goirand <zigo@debian.org>  Sun, 08 Feb 2026 15:45:49 +0100
