=== debian/control ===
--- 
+++ 
@@ -15,12 +15,11 @@
  python3-pytest,
  python3-pytest-runner,
  python3-setuptools,
- python3-sphinx,
 Build-Depends-Indep:
  python3-certifi,
  python3-colorama,
  python3-decorator,
- python3-ilorest (>= 5.2.0.0),
+ python3-ilorest (>= 7.0.0.0),
  python3-json-pointer,
  python3-jsondiff,
  python3-jsonpatch,
@@ -44,7 +43,7 @@
  python3-certifi,
  python3-colorama,
  python3-decorator,
- python3-ilorest (>= 5.2.0.0),
+ python3-ilorest (>= 7.0.0.0),
  python3-json-pointer,
  python3-jsondiff,
  python3-jsonpatch,
@@ -60,7 +59,6 @@
  python3-wcwidth,
  ${misc:Depends},
  ${python3:Depends},
- ${sphinxdoc:Depends},
 Description: cli for managing servers over the Redfish API
  The Redfish Utility is a command line interface that allows one to manage
  servers that take advantage of Redfish APIs. In addition to using the utility
