=== debian/rules ===
--- 
+++ 
@@ -4,12 +4,10 @@
 include /usr/share/openstack-pkg-tools/pkgos.make
 
 %:
-	dh $@ --with python3,sphinxdoc
+	dh $@ --with python3
 
 override_dh_auto_clean:
-	rm -f ilorest
 	rm -rf build .stestr doc/build build $(CURDIR)/ilorest/config/__init__.py *.egg-info
-	cp debian/_imagesloaded.min.js docs/slate/source/javascripts/lib
 	find . -iname '*.pyc' -delete
 	for i in $$(find . -type d -iname __pycache__) ; do rm -rf $$i ; done
 
@@ -30,10 +28,3 @@
 
 override_dh_python3:
 	dh_python3 --shebang=/usr/bin/python3
-
-override_dh_sphinxdoc:
-ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
-	yui-compressor $(CURDIR)/debian/imagesloaded.js -o $(CURDIR)/docs/slate/source/javascripts/lib/_imagesloaded.min.js
-	PYTHONPATH=. python3 -m sphinx -b html docs/sphinx $(CURDIR)/debian/ilorest/usr/share/doc/ilorest/html
-	dh_sphinxdoc
-endif
